TechDraw UnterbrocheneAnsicht

From FreeCAD Documentation
Revision as of 11:18, 10 April 2024 by FBXL5 (talk | contribs) (Created page with "{{GuiCommand/de |Name=TechDraw BrokenView |Name/de=TechDraw UnterbrocheneAnsicht |MenuLocation=TechDraw → TechDraw Ansichten → Unterbrochene Ansicht einfügen |Workbenches=TechDraw |Version=0.22 |SeeAlso=TechDraw Schnittansicht, TechDraw Ansicht, TechDraw Ansichtengruppe }}")
Other languages:

TechDraw UnterbrocheneAnsicht

Menüeintrag
TechDraw → TechDraw Ansichten → Unterbrochene Ansicht einfügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
Keiner
Eingeführt in Version
0.22
Siehe auch
TechDraw Schnittansicht, TechDraw Ansicht, TechDraw Ansichtengruppe

Description

The TechDraw BrokenView tool inserts a "broken view" that is either based on an existing part view, or one or more objects, such as Bodies or Parts. The broken view also requires one or more sketches that define the location and size of the areas to be removed. The BrokenView behaves similarly to other Views. The projection direction is taken from the existing part view, the 3D camera direction or the normal of a selected face.

A shape to be broken and the sketches defining the breaks

The result

Usage

  1. Select a part view and one or more break sketches in the Tree view. Breaks are typically described by sketches, but any object whose shape can be made into an edge will work.
  2. There are several ways to invoke the tool:
    • Press the Insert BrokenView button.
    • Select the TechDraw → TechDraw Views → Insert Broken View option from the menu.

Properties

Data

Broken View

  • DatenBreaks: Objects in the 3d view that define the start/end points and direction of breaks in this view.
  • DatenGap: The separation distance for breaks in this view (unscaled 3d length).

Notes

  • Breaks must be vertical or horizontal. Oblique breaks are not supported.
  • See also TechDraw View.

Scripting

A BrokenView can be created with macros and from the Python console by using the following functions:

doc = FreeCAD.ActiveDocument
box = doc.Box
profile = doc.Sketch
page = doc.Page

brokenView = doc.addObject("TechDraw::DrawBrokenView", "BrokenView")
page.addView(brokenView)
brokenView.Source= box
brokenView.Breaks = [doc.Sketch]